import request from '@/utils/request'

export default{
	productByPage(data) { // 商品分页查询
		return request({
			url: `/oil-mall/mobile/productByPage`,
			method: 'post',
			data
		})
	},
	getTopInfo() {  // 获取头部信息
		return request({
			url: `/oil-mall/mobile/getTopInfo`,
			method: 'get',
		})
	},
	productStatus(data) { // 上下架接口
		return request({
			url: `/oil-mall/mobile/productStatus`,
			method: 'post',
			data
		})
	},
	productAuditHistory(data) { // 审核信息接口
		return request({
			url: `/oil-mall/mobile/productAuditHistory`,
			method: 'post',
			data
		})
	},
	classification() { // 商品分类-树形接口
		return request({
			url: `/oil-mall/mobile/classification`,
			method: 'get',
		})
	},
	getProductBrands() { // 品牌信息接口
		return request({
			url: `/oil-mall/mobile/getProductBrands`,
			method: 'get',
		})
	},
	getAttributesType() { // 属性类型接口
		return request({
			url: `/oil-mall/mobile/getAttributesType`,
			method: 'get',
		})
	},
	getEdit(id) { // 根据id查询商品数据接口
		return request({
			url: `/oil-mall/mallProductInfo/getEdit/${id}`,
			method: 'get'
		})
	},
	saveProduct(data) { // 新增商品接口
		return request({
			url: `/oil-mall/mobile/saveProduct`,
			method: 'post',
			data
		})
	},
	updateProduct(data) { // 编辑更新商品数据接口
		return request({
			url: `/oil-mall/mobile/updateProduct`,
			method: 'post',
			data
		})
	},
	deleteProductById(data) { // 删除商品接口
		return request({
			url: `/oil-mall/mobile/deleteProductById`,
			method: 'post',
			data
		})
	},
}