import request from '@/utils/request'
const service_name = "user-service"
const group_name = "oilUser"
const system_name = "systemMenu"
export default {
	// 添加用户
	addOilUser(data) {
		return request({
			url: `/${service_name}/${group_name}/addOilSiteUser`,
			method: 'post',
			data: data
		})
	},
	// 删除用户
	unbindingUser(data) {
		return request({
			url: `/${service_name}/${group_name}/unbindingUser`,
			method: 'put',
			data:data
		})
	},
	// 更新用户
	updateUser(data) {
		return request({
			url: `/${service_name}/${group_name}/update`,
			method: 'put',
			data: data
		})
	},

	// 根据用户id查询用户信息 
	findUserAuthById(id) {
		return request({
			url: `/${service_name}/${group_name}/findUserAuthById/${id}`,
			method: 'get'
		})
	},
	// 员工列表
	getByPage(data) {
		return request({
			url: `/${service_name}/${group_name}/getByPage`,
			method: 'post',
			data: data
		})
	},
	// 用户已有权限
	getCloudSiteAuth(id) {
		return request({
			url: `/${service_name}/${system_name}/getCloudSiteAuth/${id}`,
			method: 'get'
		})
	},
	// 获取云站全部菜单
	getOilSiteAllMenu(data) {
		return request({
			url: `/${service_name}/${system_name}/getOilSiteAllMenu`,
			method: 'get',
			data: data
		})
	},
}
